terraform {
  required_providers {
    hashicups = {
      source = "hashicorp.com/edu/hashicups"
    }
  }
}

provider "hashicups" {
  host = "http://localhost:19090"
  username = "education"
  password = "test123"
}

resource "hashicups_order" "edu" {
  items = [
    {
      coffee = { id = 3 }
      quantity = 2
    },
    {
      coffee = { id = 2 }
      quantity = 2
    },
  ]
}

output "edu_order" {
  value = hashicups_order.edu
}